gi-gdk4-4.0.10: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Objects.DeleteEvent

Contents

- Exported types
- Methods

Description

An event related to closing a top-level surface.

Synopsis

- newtype DeleteEvent = DeleteEvent (ManagedPtr DeleteEvent)
- class (BoxedPtr o, TypedObject o, IsDescendantOf DeleteEvent o) => IsDeleteEvent o
- toDeleteEvent :: (MonadIO m, IsDeleteEvent o) => o -> m DeleteEvent

# Exported types

newtype DeleteEvent Source #

Memory-managed wrapper type.

Constructors

DeleteEvent (ManagedPtr DeleteEvent) |

#### Instances

Instances details

Eq DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent Methods (==) :: DeleteEvent -> DeleteEvent -> Bool Source # (/=) :: DeleteEvent -> DeleteEvent -> Bool Source #
BoxedPtr DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent Methods boxedPtrCopy :: DeleteEvent -> IO DeleteEvent Source # boxedPtrFree :: DeleteEvent -> IO () Source #
ManagedPtrNewtype DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent Methods toManagedPtr :: DeleteEvent -> ManagedPtr DeleteEvent Source #
TypedObject DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent Methods glibType :: IO GType Source #
HasParentTypes DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent
type ParentTypes DeleteEvent Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent type ParentTypes DeleteEvent = '[Event]

class (BoxedPtr o, TypedObject o, IsDescendantOf DeleteEvent o) => IsDeleteEvent o Source #

Type class for types which can be safely cast to `DeleteEvent`, for instance with `toDeleteEvent`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf DeleteEvent o) => IsDeleteEvent o Source # |
Instance details Defined in GI.Gdk.Objects.DeleteEvent

toDeleteEvent :: (MonadIO m, IsDeleteEvent o) => o -> m DeleteEvent Source #

Cast to `DeleteEvent`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, triggersContextMenu, unref.

#### Getters

getAxes, getAxis, getDevice, getDeviceTool, getDisplay, getEventSequence, getEventType, getHistory, getModifierState, getPointerEmulated, getPosition, getSeat, getSurface, getTime.

#### Setters

None.